summaryrefslogtreecommitdiff
path: root/tests/regression-funcs.sh
diff options
context:
space:
mode:
authorMåns Rullgård <mans@mansr.com>2010-07-21 20:49:41 +0000
committerMåns Rullgård <mans@mansr.com>2010-07-21 20:49:41 +0000
commita4e6fa86ce7b3e4c7795fb725fa1de1b8dff15b4 (patch)
tree6e66dee69395bb6ef95233947ecfc4966e51f2ba /tests/regression-funcs.sh
parent157c9241768cc2a3451a3a6d3339ac019ac9383a (diff)
regtest: simplify cleanup after each test
Originally committed as revision 24396 to svn://svn.ffmpeg.org/ffmpeg/trunk
Diffstat (limited to 'tests/regression-funcs.sh')
-rwxr-xr-xtests/regression-funcs.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/tests/regression-funcs.sh b/tests/regression-funcs.sh
index 678965045e..970485c87e 100755
--- a/tests/regression-funcs.sh
+++ b/tests/regression-funcs.sh
@@ -34,6 +34,9 @@ pcm_ref="$datadir/$test_ref.ref.wav"
crcfile="$datadir/$this.crc"
target_crcfile="$target_datadir/$this.crc"
+cleanfiles="$raw_dst $pcm_dst $crcfile $bench $bench2"
+trap 'rm -f -- $cleanfiles' EXIT
+
mkdir -p "$datadir"
mkdir -p "$outfile"
mkdir -p "$logdir"
@@ -89,7 +92,6 @@ do_ffmpeg_crc()
$echov $ffmpeg $FFMPEG_OPTS $* -f crc "$target_crcfile"
$ffmpeg $FFMPEG_OPTS $* -f crc "$target_crcfile"
echo "$f $(cat $crcfile)" >> $logfile
- rm -f "$crcfile"
}
do_ffmpeg_nocheck()
@@ -105,7 +107,6 @@ do_ffmpeg_nocheck()
do_video_decoding()
{
do_ffmpeg $raw_dst $1 -i $target_path/$file -f rawvideo $2
- rm -f $raw_dst
}
do_video_encoding()